IGMAFB(4)

NAME
igmafb - Intel Graphics Media Accelerator framebuffer driver

SYNOPSIS
options VGA_RASTERCONSOLE
no options VGA_POST
no agp
no device at drm
no genfb
igma0 at pci0 dev ? function ?
igmafb* at igma0
iic* at igma0

DESCRIPTION
The igmafb driver provides support for integrated graphics functions in Intel chipsets and provides an interface for the machine independent wscons(4) driver.

Currently igmafb configures the display for the integrated panel in notebooks and can control the backlight. Automatic detection of the main display on desktop machines may or may not work.

Supported hardware includes:
•   GMA 900 (915G)
•   GMA 950 (945G)
•   GMA 3000 (Q965)
•   GMA X3000 (G965)
•   GMA X3500 (G35)
•   GMA X4500 (G45)
•   HD (Westmere)
•   HD2000/3000 (Sandy Bridge)
•   HD2500/4000 (Ivy Bridge)

SEE ALSO
genfb(4), wsdisplay(4)

AUTHORS
-nosplit The igmafb driver was written by Michael van Elst.

BUGS
The driver conflicts with genfb(4), agp(4), and thus with drm(4). Support for a hardware cursor is missing.